SSS_USERADD(8)

NAME
sss_useradd - erstellt einen neuen Benutzer

SYNOPSIS

sss_useradd [Optionen] ANMELDUNG

BESCHREIBUNG

sss_useradd erstellt mittels der auf der Befehlszeile angegebenen Werte sowie der Standardwerte des Systems ein neues Benutzerkonto.

OPTIONEN

-u,--uid UID
    setzt die UID des Benutzers auf den Wert von UID. Wurde der Wert nicht angegeben, wird er automatisch ausgewählt.

-c,--gecos KOMMENTAR
    irgendeine Zeichenkette, die den Benutzer beschreibt. Dieses Feld wird oft für den vollständigen Namen des Benutzers verwendet.

-h,--home HOME_VERZ
    das Home-Verzeichnis des Benutzerkontos. Standardmäßig wird der Name für die ANMELDUNG an /home angehängt und dies dann als Home-Verzeichnis benutzt. Das Basisverzeichnis, das ANMELDUNG vorangestellt wird, ist über die Einstellung »user_defaults/baseDirectory« in der »sssd.conf« einstellbar.

-s,--shell SHELL
    die Anmelde-Shell des Benutzers. Voreinstellung ist derzeit /bin/bash. Die Voreinstellung kann über die Einstellung »user_defaults/defaultShell« in der »sssd.conf« geändert werden.

-G,--groups GRUPPEN
    eine Liste existierender Gruppen, denen dieser Benutzer auch angehört

-m,--create-home
    erstellt das Home-Verzeichnis des Benutzers, falls es nicht existiert. Die Dateien und Verzeichnisse, die in der Verzeichnisvorlage (die mit der Option -k oder in der Konfigurationsdatei definiert werden kann) enthalten sind, werden in das Home-Verzeichnis kopiert.

-M,--no-create-home
    erstellt nicht das Home-Verzeichnis des Benutzers und setzt Konfigurationseinstellungen außer Kraft.

-k,--skel SKEL-VERZ
    die Verzeichnisvorlage mit Dateien und Verzeichnissen, die in das durch sss_useradd neu erstellte Home-Verzeichnis des Benutzers kopiert werden.

    Spezialdateien (block- und zeichenorientierte Geräte, benannte Pipes und Unix-Sockets) werden nicht kopiert.

    Diese Option ist nur gültig, falls die Option -m (oder --create-home) angegeben wurde oder das Erstellen von Home-Verzeichnissen in der Konfiguration auf »TRUE« gesetzt ist.

-Z,--selinux-user SELINUX_BENUTZER
    der SELinux-Benutzer für die Anmeldung des Benutzers. Ist er nicht angegeben, wird die Voreinstellung des Systems benutzt.

-?,--help
    zeigt den Hilfetext und beendet sich.

DIE LOKALE DOMAIN

Für korrektes Funktionieren muss eine Domain mit »id_provider=local« erstellt sein und SSSD muss laufen.

Möglicherweise möchte der Administrator in Fällen, in denen Gruppenverschachtelung (siehe sss_groupadd(8)) benötigt wird, lokale Benutzer anstelle traditioneller UNIX-Benutzer verwenden. Die lokalen Benutzer sind auch für das Testen und Entwickeln von SSSD nützlich, ohne dass ein vollständiger ferner Server bereitgestellt werden muss. Die sss_user*- und sss_group*-Werkzeuge benutzen einen lokalen LDB-Speicher, um Benutzer und Gruppen abzulegen.

SIEHE AUCH

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-sudo(5), sssd-secrets(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_groupadd(8), sss_groupdel(8), sss_groupshow(8), sss_groupmod(8), sss_useradd(8), sss_userdel(8), sss_usermod(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/